maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maxim Solodovnik <solomax...@gmail.com>
Subject Re: maven-jar-plugin-3.0.0 compatiblity/regression?
Date Fri, 20 May 2016 05:20:19 GMT
I got following errors in eclipse:

org.apache.maven.archiver.MavenArchiver.getManifest(org.apache.maven.project.MavenProject,
org.apache.maven.archiver.MavenArchiveConfiguration) pom.xml
/openmeetings-core line 1 Maven Configuration Problem

command line build works as expected

On Fri, May 20, 2016 at 11:16 AM, Dan Tran <dantran@gmail.com> wrote:

> Hi
>
> My jar project can also create RPM via rpm-maven-plugin:attach-rpm now
> throws this error
>
> [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-jar-plugin:3.0.0:jar
> (project-jar-for-docker) on project xxx: You have to use a classifier
> to attach supplemental artifacts to the project instead of replacing
> them. -> [Help 1]
>
>
> This is a valid use case where I can have mutiple artifact extensions
> without the need to use classifiers
>
>
> The release notes of jar plugin 3.0.0 also not mentioned about this
>
>
> I hope this is not intentional
>
>
> My appology, i should have tested the during its voting period
>
>
> Thanks
>
>
> -Dan
>



-- 
WBR
Maxim aka solomax

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message